# Class OpenURIEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.OpenURIEvent

All Implemented Interfaces:
  `Serializable`

public final class OpenURIEvent extends AppEvent
Event sent when the app is asked to open a `URI`.

Since:
  9
See Also:
  - `OpenURIHandler.openURI(OpenURIEvent)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`OpenURIEvent(URI uri)`
Constructs an `OpenURIEvent`.

## Method Summary

Modifier and Type
Method
Description
`URI`
`getURI()`
Get the `URI` the app was asked to open.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### OpenURIEvent

public OpenURIEvent(URI uri)
Constructs an `OpenURIEvent`.

Parameters:
  `uri` - the `URI` the app was asked to open
Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  - `Desktop.isDesktopSupported()`
  - `GraphicsEnvironment.isHeadless()`

## Method Details

### getURI

public URI getURI()
Get the `URI` the app was asked to open.

Returns:
  the `URI`